/* general.h (to be included in all modules) */


/* Amiga system includes... */
               
#include <exec/types.h> 

#include <proto/all.h>

#include <devices/timer.h>


/* ANSI C includes... */
  
#include <stdio.h>

#include <string.h>


/* Package specific includes... */
  

#include "stack_adt.h"

#include "display_position.h"

#include "prototypes.h"


/* some defines... */
  
#define  NO_ERROR            0

#define  PROGRAM_EXIT        1

#define  NO_STACK            2

#define  ALLOCATION_ERROR    4

#define  DELAY              25

#define  INTUITION_CALL      1

#define  GREY                0

#define  BLACK               1

#define  WHITE               2

#define  BLUE                3

#define  INTUITION_VERSION  33     

#define  GRAPHICS_VERSION   33  

#define  GADTOOLS_VERSION   37 

#define  MESSAGE0            " PICK AN ITEM FROM THE MENU! "

/* some globals... */

#ifdef ALLOCATE_GLOBALS

        #define PREFIX

  #else
  
        #define PREFIX extern

#endif

PREFIX void (*g_function)(); 

PREFIX STACK *g_resource_stack_p;

PREFIX struct  IntuitionBase   *IntuitionBase;

PREFIX struct  GfxBase         *GfxBase;

PREFIX struct  Library         *GadToolsBase;

PREFIX struct  Screen          *g_public_screen_p;

PREFIX struct  Window          *g_window_p;   

PREFIX struct  RastPort        *g_rastport_p;   

PREFIX struct  ViewPort        *g_viewport_p;

PREFIX struct  Menu            *g_menu_p;

PREFIX APTR                    *g_visual_info_p;

PREFIX struct  MsgPort         *g_timer_reply_port_p;

PREFIX struct  timerequest     *g_timer_request_p;

